Subject: Re: [bug#29938] [PATCH 3/3] gnu: Add sound-juicer.

From: Catonano <[email-masked]>
Date: Thu, 4 Jan 2018 09:17:30 +0100

2018-01-04 4:30 GMT+01:00 nee <[email-masked]>:

> Am 02.01.2018 um 17:35 schrieb Catonano:
> > Now, guix size sound-juicer: is this good or bad ? I didn't use guix
> > size so often in the past so I'm not sure about this result
> >
> > [env]$ ./pre-inst-env guix size sound-juicer
> > ...
> I generally feel like a lot of packages pull too many
> dependencies right now and that this should be improved.
>
> > I wonder what in sound-juicer transitive closure depends on llvmm ?
>
> It is required for mesa which is required by gtk+
>

Ah ok

> > Cairo 2 times with  different hashes ?
>
> Also appears in gtk+, but I haven't checked where exactly it comes from.
>

Interesting

> > ghostscript with cups ? Bah
> >
> That probably comes from some kind of doc builder for something gtk
> related AFAIK.
>

Ok

>
> > /gnu/store/h15r555pry7i274zw1afhcv0c0ni2bbc-brasero-3.12.2
> > 787.7    13.5   1.6%
> >
> > The whole Brasero ? Wow
> >
>
> It needs to link the libbrasero libraries.
> I shortly tried to split brasero libraries into a separate outputs
> today, but I failed because one of the libraries references the icon
> directory and I'm also not sure if it's worth bothering with too much.
>

I agree

> > total: 818.5 MiB
> >
> > is this acceptable ? I don't know
> `guix size gtk+` takes 680 MiB and gtk+ is responsible for most of the
> "WTF" dependencies. I wonder if it could be split up like qt.
> I used guix graph and a little time scrolling on a gigantic image to
> figure out that out.
>

When I have played with the nodejs graph, it was too big for Graphviz t
oprocess it and visualizing it was a challenge
We probably need something better to visualize graphs and spot patterns

> The rest probably comes from gstreamer and seems acceptable to me.
>
> I would say this patch is okay, unless you know something that can be
> done directly on the sound-juicer package.
>

No, this patch is ok for me too
As I said, I' m just new at this

As far as I am concerned, LGTM

Thanks for your work !

Ciao